<?php return [
 // Default language to use for logging and errors
 'lang' => 'en',
 // The database driver to use, one of "sqlite3", "postgresql", or "mysql". A fully-qualified class name may also be used for custom drivers
 'dbDriver' => 'sqlite3',
 // Whether to attempt to automatically update the database when upgrading to a new version with schema changes
 'dbAutoUpdate' => true,
 // Number of seconds to wait before returning a timeout error when connecting to a database (null waits forever; not applicable to SQLite)
 'dbTimeoutConnect' => 5.0,
 // Number of seconds to wait before returning a timeout error when executing a database operation (null waits forever; not applicable to SQLite)
 'dbTimeoutExec' => NULL,
 // Number of seconds to wait before returning a timeout error when acquiring a database lock (null waits forever)
 'dbTimeoutLock' => 60.0,
 // Full path and file name of SQLite database (if using SQLite)
 'dbSQLite3File' => NULL,
 // Encryption key to use for SQLite database (if using a version of SQLite with SEE)
 'dbSQLite3Key' => '',
 // Host name, address, or socket path of PostgreSQL database server (if using PostgreSQL)
 'dbPostgreSQLHost' => '',
 // Log-in user name for PostgreSQL database server (if using PostgreSQL)
 'dbPostgreSQLUser' => 'arsse',
 // Log-in password for PostgreSQL database server (if using PostgreSQL)
 'dbPostgreSQLPass' => '',
 // Listening port for PostgreSQL database server (if using PostgreSQL over TCP)
 'dbPostgreSQLPort' => 5432,
 // Database name on PostgreSQL database server (if using PostgreSQL)
 'dbPostgreSQLDb' => 'arsse',
 // Schema name in PostgreSQL database (if using PostgreSQL)
 'dbPostgreSQLSchema' => '',
 // Service file entry to use (if using PostgreSQL); if using a service entry all above parameters except schema are ignored
 'dbPostgreSQLService' => '',
 // Host name or address of MySQL database server (if using MySQL)
 'dbMySQLHost' => 'localhost',
 // Log-in user name for MySQL database server (if using MySQL)
 'dbMySQLUser' => 'arsse',
 // Log-in password for MySQL database server (if using MySQL)
 'dbMySQLPass' => '',
 // Listening port for MySQL database server (if using MySQL over TCP)
 'dbMySQLPort' => 3306,
 // Database name on MySQL database server (if using MySQL)
 'dbMySQLDb' => 'arsse',
 // Unix domain socket or named pipe to use for MySQL when not connecting over TCP
 'dbMySQLSocket' => '',
 // The user management driver to use, currently only "internal". A fully-qualified class name may also be used for custom drivers
 'userDriver' => 'internal',
 // Whether users are already authenticated by the Web server before the application is executed
 'userPreAuth' => false,
 // Whether to require successful HTTP authentication before processing API-level authentication for protocols which have any. Normally the Tiny Tiny RSS relies on its own session-token authentication scheme, for example
 'userHTTPAuthRequired' => false,
 // Desired length of temporary user passwords
 'userTempPasswordLength' => 20,
 // Whether invalid or expired API session tokens should prevent logging in when HTTP authentication is used, for protocol which implement their own authentication
 'userSessionEnforced' => true,
 // Period of inactivity after which log-in sessions should be considered invalid, as an ISO 8601 duration (default: 24 hours)
 'userSessionTimeout' => 'PT24H',
 // Maximum lifetime of log-in sessions regardless of activity, as an ISO 8601 duration (default: 7 days);
 'userSessionLifetime' => 'P7D',
 // Feed update service driver to use, one of "serial" or "subprocess". A fully-qualified class name may also be used for custom drivers
 'serviceDriver' => 'subprocess',
 // The interval between checks for new articles, as an ISO 8601 duration
 'serviceFrequency' => 'PT2M',
 // Number of concurrent feed updates to perform
 'serviceQueueWidth' => 5,
 // Number of seconds to wait for data when fetching feeds from foreign servers
 'fetchTimeout' => 10.0,
 // Maximum size, in bytes, of data when fetching feeds from foreign servers
 'fetchSizeLimit' => 2097152,
 // Whether to allow the possibility of fetching full article contents using an item's URL. Whether fetching will actually happen is also governed by a per-feed setting
 'fetchEnableScraping' => true,
 // User-Agent string to use when fetching feeds from foreign servers
 'fetchUserAgentString' => NULL,
 // When to delete a feed from the database after all its subscriptions have been deleted, as an ISO 8601 duration (default: 24 hours; null for never)
 'purgeFeeds' => 'PT24H',
 // When to delete an unstarred article in the database after it has been marked read by all users, as an ISO 8601 duration (default: 7 days; null for never)
 'purgeArticlesRead' => 'P7D',
 // When to delete an unstarred article in the database regardless of its read state, as an ISO 8601 duration (default: 21 days; null for never)
 'purgeArticlesUnread' => 'P21D',
 // Application name to present to clients during authentication
 'httpRealm' => 'The Advanced RSS Environment',
 // Space-separated list of origins from which to allow cross-origin resource sharing
 'httpOriginsAllowed' => '*',
 // Space-separated list of origins from which to deny cross-origin resource sharing
 'httpOriginsDenied' => '',
 // (OBSOLETE) Number of seconds for SQLite to wait before returning a timeout error when trying to acquire a write lock on the database (zero does not wait)
 'dbSQLite3Timeout' => NULL,
];
